package com.sunxung.factoring.web;

import javax.servlet.http.HttpServletRequest;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;

@Controller
public class Ace4Controller {

    private static Logger log = LogManager.getLogger(Ace4Controller.class);

    @RequestMapping("/ace4/*.html")
    public String parserHtml(HttpServletRequest request, Model model) {
        log.debug("blank！");
        return request.getRequestURI().substring(1).replaceAll(".html", "");
    }
}
